ECHO OFF
REM ---------------------------------------------------------------------------
REM  HP DeskJet/Plus/500 Envelope Printing Set-up for instantADDRESS 1.1
REM
REM  Copyright (C) 1991 KJL Software. All rights reserved.
REM ---------------------------------------------------------------------------

REM ---------------------------------------------------------------------------
REM  The following switches do the following:
REM
REM     /L 5     - Maxmimum accepted address length is 5
REM     /W 39    - Maximum allowed address width is 39
REM     /T 9     - Top margin is 9
REM     /M 30    - Left margin is 30
REM     /F       - Send a form-feed when done printing to eject envelope
REM     /E 27 69 - Reset the printer when done
REM ---------------------------------------------------------------------------
instaddr /L 5 /W 39 /T 9 /M 30 /F /E 27 69 0 %1 %2 %3 %4 %5

REM ---------------------------------------------------------------------------
REM  The following initialization string is sent to the printer before the
REM  address is printed.
REM ---------------------------------------------------------------------------
REM
REM         Reset Size: #10 Envelope   Roman-8    10-pitch, 12-pt, upright, med-weight Courier   Envelope Feed
REM         Ŀ Ŀ Ŀ Ŀ Ŀ
instaddr /I 27 69 27 38 108 56 49 65 27 40 56 85 27 40 115 112 49 48 104 49 50 118 115 98 51 84 27 38 108 51 72 > NUL:

ECHO ---------------------------------------------------
ECHO   HP DeskJet envelope mode set, ready for address
ECHO ---------------------------------------------------
