ECHO OFF
REM ---------------------------------------------------------------------------
REM  HP LaserJet II Envelope Printing Set-up for instantADDRESS 1.1
REM
REM  Copyright (C) 1991 KJL Software. All rights reserved.
REM ---------------------------------------------------------------------------

REM ---------------------------------------------------------------------------
REM  The following switches do the following:
REM
REM     /M 35    - Left margin is 35
REM     /L 5     - Maxmimum accepted address length is 5
REM     /T 25    - Top margin is 25
REM     /W 39    - Maximum allowed address width is 39
REM     /F       - Send a form-feed when done printing to eject envelope
REM     /E 27 69 - Reset the printer when done
REM ---------------------------------------------------------------------------
instaddr /M 35 /L 5 /T 25 /W 39 /F /E 27 69 0 %1 %2 %3 %4 %5

REM ---------------------------------------------------------------------------
REM  Original LaserJet/LaserJet+ Owners
REM
REM  Replace the previous line with this (larger top margin):
REM
REM  instaddr /M 35 /L 5 /T 39 /W 39 /F /E 27 69 0 %1 %2 %3 %4 %5
REM ---------------------------------------------------------------------------

REM ---------------------------------------------------------------------------
REM  The following initialization string is sent to the printer before the
REM  address is printed.
REM ---------------------------------------------------------------------------
REM
REM         Reset  Landscape Mode   Roman-8    10-pitch, 12-pt, upright, med-weight Courier    Manual Feed
REM         Ŀ Ŀ Ŀ Ŀ Ŀ
instaddr /I 27 69 27 38 108 49 79 27 40 56 85 27 40 115 112 49 48 104 49 50 118 115 98 51 84 27 38 108 50 72 > NUL:

ECHO ----------------------------------------------------
ECHO   HP LaserJet envelope mode set, ready for address
ECHO ----------------------------------------------------
